<?php
/*
  $Id: tchinese.php,v 1.1.1.1 2003/12/19 12:58:11 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

  Traditional Chinese language pack(UTF-8 Encode) for osCommerce 2.2 ms2
  Support Site: http://osc.kmd.com.tw
  Author(s): Nickle Cheng (nickle@mail.kmd.com.tw)
  Released under the GNU General Public License ,too!!

*/
//Admin begin
// header text in includes/header.php
define('HEADER_TITLE_ACCOUNT', '我的帳號');
define('HEADER_TITLE_LOGOFF', '登出');

// Admin Account
define('BOX_HEADING_MY_ACCOUNT', '我的帳號');

// configuration box text in includes/boxes/administrator.php
define('BOX_HEADING_ADMINISTRATOR', '管理員系統');
define('BOX_ADMINISTRATOR_MEMBERS', '管理員群組');
define('BOX_ADMINISTRATOR_MEMBER', '管理員');
define('BOX_ADMINISTRATOR_BOXES', '設定納入管理檔案');

// images
define('IMAGE_FILE_PERMISSION', '設定檔案存取權限');
define('IMAGE_GROUPS', '管理員群組');
define('IMAGE_INSERT_FILE', '存入檔案');
define('IMAGE_MEMBERS', '管理員列表');
define('IMAGE_NEW_GROUP', '新增群組');
define('IMAGE_NEW_MEMBER', '新增管理員');
define('IMAGE_NEXT', '下一步');

// constants for use in tep_prev_next_display function
define('TEXT_DISPLAY_NUMBER_OF_FILENAMES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個檔案)');
define('TEXT_DISPLAY_NUMBER_OF_MEMBERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 位會員)');
//Admin end


// look in your $PATH_LOCALE/locale directory for available locales..
// on RedHat6.0 I used 'en_US'
// on FreeBSD 4.0 I use 'en_US.ISO_8859-1'
// this may not work under win32 environments..
setlocale(LC_TIME, 'tchinese');
define('DATE_FORMAT_SHORT', '%Y/%m/%d');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%Y-%m-%d'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('PHP_DATE_TIME_FORMAT', 'Y/m/d H:i:s'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// Global entries for the <html> tag
define('HTML_PARAMS','dir="ltr" lang="tw"');

// charset for web pages and emails
define('CHARSET', 'utf-8');
define('EMAIL_CHARSET', 'BIG5');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_TOP', '系統管理');
define('HEADER_TITLE_SUPPORT_SITE', '支援網站');
define('HEADER_TITLE_ONLINE_CATALOG', '線上目錄');
define('HEADER_TITLE_ADMINISTRATION', '系統管理');
define('HEADER_TITLE_LOGOFF', '登出');


// box text in includes/boxes/administrators.php
define('BOX_HEADING_ADMINISTRATORS', '系統管理員');
define('BOX_ADMINISTRATORS_SETUP', '設定');

// text for gender
define('MALE', '男');
define('FEMALE', '女');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// configuration box text in includes/boxes/configuration.php
define('BOX_HEADING_CONFIGURATION', '系統設定');
define('BOX_CONFIGURATION_MYSTORE', '我的商店');
define('BOX_CONFIGURATION_LOGGING', '紀錄');
define('BOX_CONFIGURATION_CACHE', '快取');

// modules box text in includes/boxes/modules.php
define('BOX_HEADING_MODULES', '外掛模組');
define('BOX_MODULES_PAYMENT', '付款方式');
define('BOX_MODULES_SHIPPING', '出貨方式');
define('BOX_MODULES_ORDER_TOTAL', '訂單總計');

// categories box text in includes/boxes/catalog.php
define('BOX_HEADING_CATALOG', '商品目錄');
define('BOX_CATALOG_CATEGORIES_PRODUCTS', '商品目錄');
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES', '商品選項屬性');
define('BOX_CATALOG_MANUFACTURERS', '製造廠商');
define('BOX_CATALOG_REVIEWS', '商品評論');
define('BOX_CATALOG_SPECIALS', '特價商品');
define('BOX_CATALOG_PRODUCTS_EXPECTED', '商品預告');

// customers box text in includes/boxes/customers.php
define('BOX_HEADING_CUSTOMERS', '客戶/訂單');
define('BOX_CUSTOMERS_CUSTOMERS', '客戶');
define('BOX_CUSTOMERS_ORDERS', '訂單');

// taxes box text in includes/boxes/taxes.php
define('BOX_HEADING_LOCATION_AND_TAXES', '國別/地區/稅 設定');
define('BOX_TAXES_COUNTRIES', '國別');
define('BOX_TAXES_ZONES', '地區');
define('BOX_TAXES_GEO_ZONES', '稅區');
define('BOX_TAXES_TAX_CLASSES', '稅別');
define('BOX_TAXES_TAX_RATES', '稅率');

// reports box text in includes/boxes/reports.php
define('BOX_HEADING_REPORTS', '各類報表');
define('BOX_REPORTS_PRODUCTS_VIEWED', '已被瀏覽商品');
define('BOX_REPORTS_PRODUCTS_PURCHASED', '已賣商品');
define('BOX_REPORTS_ORDERS_TOTAL', '客戶購物排行榜');

// tools text in includes/boxes/tools.php
define('BOX_HEADING_TOOLS', '系統工具');
define('BOX_TOOLS_BACKUP', '資料庫備分');
define('BOX_TOOLS_BANNER_MANAGER', '廣告總管');
define('BOX_TOOLS_CACHE', '快取控制');
define('BOX_TOOLS_DEFINE_LANGUAGE', '語系定義');
define('BOX_TOOLS_FILE_MANAGER', '檔案總管');
define('BOX_TOOLS_MAIL', '寄電子郵件');
define('BOX_TOOLS_NEWSLETTER_MANAGER', '電子報總管');
define('BOX_TOOLS_SERVER_INFO', '主機資訊');
define('BOX_TOOLS_WHOS_ONLINE', '線上客戶');
define('BOX_HEADING_ADMINISTRATORS', '系統管理者');
define('BOX_ADMINISTRATORS_SETUP', '管理者設定');

// localizaion box text in includes/boxes/localization.php
define('BOX_HEADING_LOCALIZATION', '本地化設定');
define('BOX_LOCALIZATION_CURRENCIES', '貨幣設定');
define('BOX_LOCALIZATION_LANGUAGES', '語系設定');
define('BOX_LOCALIZATION_ORDERS_STATUS', '訂單狀態');

// javascript messages
define('JS_ERROR', 'Errors have occured during the process of your form!\nPlease make the following corrections:\n\n');

define('JS_OPTIONS_VALUE_PRICE', '* The new product atribute needs a price value\n');
define('JS_OPTIONS_VALUE_PRICE_PREFIX', '* The new product atribute needs a price prefix\n');

define('JS_PRODUCTS_NAME', '* The new product needs a name\n');
define('JS_PRODUCTS_DESCRIPTION', '* The new product needs a description\n');
define('JS_PRODUCTS_PRICE', '* The new product needs a price value\n');
define('JS_PRODUCTS_WEIGHT', '* The new product needs a weight value\n');
define('JS_PRODUCTS_QUANTITY', '* The new product needs a quantity value\n');
define('JS_PRODUCTS_MODEL', '* The new product needs a model value\n');
define('JS_PRODUCTS_IMAGE', '* The new product needs an image value\n');

define('JS_SPECIALS_PRODUCTS_PRICE', '* A new price for this product needs to be set\n');

define('JS_GENDER', '* The \'Gender\' value must be chosen.\n');
define('JS_FIRST_NAME', '* The \'First Name\' entry must have at least ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_LAST_NAME', '* The \'Last Name\' entry must have at least ' . ENTRY_LAST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_DOB', '* The \'Date of Birth\' entry must be in the format: xx/xx/xxxx (month/date/year).\n');
define('JS_EMAIL_ADDRESS', '* The \'E-Mail Address\' entry must have at least ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_ADDRESS', '* The \'Street Address\' entry must have at least ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_POST_CODE', '* The \'Post Code\' entry must have at least ' . ENTRY_POSTCODE_MIN_LENGTH . ' characters.\n');
define('JS_CITY', '* The \'City\' entry must have at least ' . ENTRY_CITY_MIN_LENGTH . ' characters.\n');
define('JS_STATE', '* The \'State\' entry is must be selected.\n');
define('JS_STATE_SELECT', '-- Select Above --');
define('JS_ZONE', '* The \'State\' entry must be selected from the list for this country.');
define('JS_COUNTRY', '* The \'Country\' value must be chosen.\n');
define('JS_TELEPHONE', '* The \'Telephone Number\' entry must have at least ' . ENTRY_TELEPHONE_MIN_LENGTH . ' characters.\n');
define('JS_PASSWORD', '* The \'Password\' amd \'Confirmation\' entries must match amd have at least ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.\n');

define('JS_ORDER_DOES_NOT_EXIST', 'Order Number %s does not exist!');

define('CATEGORY_PERSONAL', '個人資料');
define('CATEGORY_ADDRESS', '通訊地址');
define('CATEGORY_CONTACT', '電話/傳真');
define('CATEGORY_COMPANY', '公司資料');
define('CATEGORY_PASSWORD', '密碼');
define('CATEGORY_OPTIONS', '選項');
define('ENTRY_GENDER', '性別:');
define('ENTRY_GENDER_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_FIRST_NAME', '中文名稱:');
define('ENTRY_FIRST_NAME_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' 個字</span>');
define('ENTRY_LAST_NAME', '英文名稱:');
define('ENTRY_LAST_NAME_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_LAST_NAME_MIN_LENGTH . ' 幾個字</span>');
define('ENTRY_DATE_OF_BIRTH', '生日:');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<span class="errorText">(例如 05/21/1970)</span>');
define('ENTRY_EMAIL_ADDRESS', '電子郵件:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' 個字</span>');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '&nbsp;<span class="errorText">這個電子郵件無效！</span>');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '&nbsp;<span class="errorText">這個電子郵件已經存在！</span>');
define('ENTRY_COMPANY', '公司名稱:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_STREET_ADDRESS', '街道門牌號碼:');
define('ENTRY_STREET_ADDRESS_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' 個字</span>');
define('ENTRY_SUBURB', '村里鄰:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_POST_CODE', '郵遞區號:');
define('ENTRY_POST_CODE_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_POSTCODE_MIN_LENGTH . ' 個字</span>');
define('ENTRY_CITY', '鄉鎮區:');
define('ENTRY_CITY_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_CITY_MIN_LENGTH . ' 個字</span>');
define('ENTRY_STATE', '縣市:');
define('ENTRY_STATE_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_COUNTRY', '國家:');
define('ENTRY_COUNTRY_ERROR', '');
define('ENTRY_TELEPHONE_NUMBER', '電話號碼:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_TELEPHONE_MIN_LENGTH . ' 個字</span>');
define('ENTRY_FAX_NUMBER', '傳真:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_NEWSLETTER', '電子報:');
define('ENTRY_NEWSLETTER_YES', '訂電子報');
define('ENTRY_NEWSLETTER_NO', '取消');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', '密碼:');
define('ENTRY_PASSWORD_CONFIRMATION', '再輸入一次密碼:');
define('PASSWORD_HIDDEN', '--隱藏--');

// images
define('IMAGE_ANI_SEND_EMAIL', '寄電子郵件中...');
define('IMAGE_BACK', '回上頁');
define('IMAGE_BACKUP', '備份');
define('IMAGE_CANCEL', '取消');
define('IMAGE_CONFIRM', '確認');
define('IMAGE_COPY', '複製');
define('IMAGE_COPY_TO', '複製到');
define('IMAGE_DEFINE', '定義');
define('IMAGE_DELETE', '刪除');
define('IMAGE_EDIT', '編輯');
define('IMAGE_EMAIL', 'Email 郵寄');
define('IMAGE_FILE_MANAGER', '檔案總管');
define('IMAGE_ICON_STATUS_GREEN', '已啟動');
define('IMAGE_ICON_STATUS_GREEN_LIGHT', '按我啟動');
define('IMAGE_ICON_STATUS_RED', '未啟動');
define('IMAGE_ICON_STATUS_RED_LIGHT', '按我停止');
define('IMAGE_ICON_INFO', '資訊');
define('IMAGE_INSERT', '插入');
define('IMAGE_LOCK', '鎖定');
define('IMAGE_MODULE_INSTALL', '安裝模組');
define('IMAGE_MODULE_REMOVE', '移除模組');
define('IMAGE_MOVE', '移動');
define('IMAGE_NEW_BANNER', '新增廣告');
define('IMAGE_NEW_CATEGORY', '新增商品分類');
define('IMAGE_NEW_COUNTRY', '新增國別');
define('IMAGE_NEW_CURRENCY', '新增貨幣');
define('IMAGE_NEW_FILE', '新增檔案');
define('IMAGE_NEW_FOLDER', '新增資料夾');
define('IMAGE_NEW_LANGUAGE', '新增語系');
define('IMAGE_NEW_NEWSLETTER', '新增電子報');
define('IMAGE_NEW_PRODUCT', '新增商品');
define('IMAGE_NEW_TAX_CLASS', '新增稅別');
define('IMAGE_NEW_TAX_RATE', '新增稅率');
define('IMAGE_NEW_TAX_ZONE', '新增稅區');
define('IMAGE_NEW_ZONE', '新增地區');
define('IMAGE_ORDERS', '訂單');
define('IMAGE_ORDERS_INVOICE', '收據列印');
define('IMAGE_ORDERS_PACKINGSLIP', '分裝列印');
define('IMAGE_PREVIEW', '預覽');
define('IMAGE_RESTORE', '回復資料庫');
define('IMAGE_RESET', '重設');
define('IMAGE_SAVE', '儲存');
define('IMAGE_SEARCH', '搜尋');
define('IMAGE_SELECT', '選擇');
define('IMAGE_SEND', '寄出');
define('IMAGE_SEND_EMAIL', '寄 Email');
define('IMAGE_UNLOCK', '開鎖');
define('IMAGE_UPDATE', '更新');
define('IMAGE_UPDATE_CURRENCIES', '更新匯率');
define('IMAGE_UPLOAD', '上傳');

define('ICON_CROSS', '否');
define('ICON_CURRENT_FOLDER', '目前資料夾');
define('ICON_DELETE', '刪除');
define('ICON_ERROR', '錯誤');
define('ICON_FILE', '檔案');
define('ICON_FILE_DOWNLOAD', '下載');
define('ICON_FOLDER', '資料夾');
define('ICON_LOCKED', '鎖住');
define('ICON_PREVIOUS_LEVEL', '回上一層目錄');
define('ICON_PREVIEW', '預覽');
define('ICON_STATISTICS', '統計資料');
define('ICON_SUCCESS', '完成');
define('ICON_TICK', '是');
define('ICON_UNLOCKED', '解開');
define('ICON_WARNING', '警告');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', ' %s / %d 頁');
define('TEXT_DISPLAY_NUMBER_OF_BANNERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個廣告)');
define('TEXT_DISPLAY_NUMBER_OF_COUNTRIES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個國別)');
define('TEXT_DISPLAY_NUMBER_OF_CUSTOMERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個客戶)');
define('TEXT_DISPLAY_NUMBER_OF_CURRENCIES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個貨幣)');
define('TEXT_DISPLAY_NUMBER_OF_LANGUAGES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個語系)');
define('TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個製造廠商)');
define('TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 份電子報)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 筆訂單)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個訂單狀態)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品上市預告)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品評論)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個特價商品)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅別)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_ZONES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅區)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_RATES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅率)');
define('TEXT_DISPLAY_NUMBER_OF_ZONES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個地區)');

define('PREVNEXT_BUTTON_PREV', '&lt;&lt;');
define('PREVNEXT_BUTTON_NEXT', '&gt;&gt;');

define('TEXT_DEFAULT', '預設');
define('TEXT_SET_DEFAULT', '設定為預設');
define('TEXT_FIELD_REQUIRED', '&nbsp;<span class="fieldRequired">* 必填</span>');

define('ERROR_NO_DEFAULT_CURRENCY_DEFINED', '錯誤：沒有預設的貨幣，請到\'系統工具/本地化設定/貨幣\' 設定');

define('TEXT_CACHE_CATEGORIES', '類別區');
define('TEXT_CACHE_MANUFACTURERS', '廠商區');
define('TEXT_CACHE_ALSO_PURCHASED', '推薦商品模組');

define('TEXT_NONE', '--無--');
define('TEXT_TOP', '頂端');

define('ERROR_DESTINATION_DOES_NOT_EXIST', '錯誤: 目的地不存在');
define('ERROR_DESTINATION_NOT_WRITEABLE', '錯誤: 目的地無法寫入');
define('ERROR_FILE_NOT_SAVED', '錯誤: 上傳檔案無法儲存');
define('ERROR_FILETYPE_NOT_ALLOWED', '錯誤r: 不允許檔案上傳');
define('SUCCESS_FILE_SAVED_SUCCESSFULLY', '完成: 檔案上傳完成');
define('WARNING_NO_FILE_UPLOADED', '警告: 沒有檔案上傳');
define('WARNING_FILE_UPLOADS_DISABLED', '警告:  php.ini 設定檔無開啟檔案上傳');

define('TEXT_CACHE_CATEGORIES', '商品分類區塊');
define('TEXT_CACHE_MANUFACTURERS', '製造廠商區塊');
define('TEXT_CACHE_ALSO_PURCHASED', '建議購買商品模組');
define('TEXT_INFO_USER_NAME', '使用者名稱：');
define('TEXT_INFO_PASSWORD', '密碼：');
define('TEXT_LOGIN_ERROR', '錯誤的使用者名稱或密碼');
define('TEXT_CACHE_CATEGORIES', 'Categories Box');

// polls box text in includes/boxes/polls.php
define('BOX_HEADING_POLLS', '票選活動');
define('BOX_POLLS_POLLS', '票選管理');
define('BOX_POLLS_CONFIG','票選設定');

define('TEXT_NONE', '--none--');
define('TEXT_TOP', '目錄頂端');

?>
