<?php
/*
  $Id: schinese.php,v 1.2 2003/09/11 02:19:02 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

  Simplified Chinese language pack(UTF-8 Encode) for osCommerce 2.2 ms2 
  Support Site: http://osc.kmd.com.tw
  Author(s): Lily Pen
  Released under the GNU General Public License ,too!!

*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// ?定本地??
// RedHat 'zh_TW'
// FreeBSD 'zh_TW.Big5'
// Windows ''引??空白即可
//
@setlocale(LC_TIME, '');
define('DATE_FORMAT_SHORT', '%m/%d%/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%Y年%B%d日%A'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'CNY');//??值

// Global entries for the <html> tag
define('HTML_PARAMS','dir="LTR" lang="cn"');

// charset for web pages and emails
define('CHARSET', 'UTF-8');
define('EMAIL_CHARSET','GB2312');//for schinese

// page title
define('TITLE', STORE_NAME);
define('KMD_SUPPORT_SITE','網路甘仔店支援站');
// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', '新增帐号');
define('HEADER_TITLE_MY_ACCOUNT', '我的帐号');
define('HEADER_TITLE_CART_CONTENTS', '购物车内容');
define('HEADER_TITLE_CHECKOUT', '结帐');
define('HEADER_TITLE_CONTACT_US', '联络我们');
define('HEADER_TITLE_TOP', '首贡');
define('HEADER_TITLE_CATALOG', '商品目录');
define('HEADER_TITLE_LOGOFF', '登出');
define('HEADER_TITLE_LOGIN', '登入');
define('HEADER_TITLE_ADMINISTRATION', '系统管理');

// box text in includes/boxes/administrators.php
define('BOX_HEADING_ADMINISTRATORS', '系统管理员');
define('BOX_ADMINISTRATORS_SETUP', '设定');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', '次浏览,自从');

// text for gender
define('MALE', '男');
define('FEMALE', '女');
define('MALE_ADDRESS', '先生');
define('FEMALE_ADDRESS', '小姐');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// categories box text in includes/boxes/categories.php
define('BOX_HEADING_CATEGORIES', '商品分类');

// manufacturers box text in includes/boxes/manufacturers.php
define('BOX_HEADING_MANUFACTURERS', '制造厂商');

// whats_new box text in includes/boxes/whats_new.php
define('BOX_HEADING_WHATS_NEW', '新上架商品');

// quick_find box text in includes/boxes/quick_find.php
define('BOX_HEADING_SEARCH', '');
define('BOX_SEARCH_TEXT', '寻找商品');
define('BOX_SEARCH_ADVANCED_SEARCH', '进阶寻找商品');

// specials box text in includes/boxes/specials.php
define('BOX_HEADING_SPECIALS', '特价商品');

// reviews box text in includes/boxes/reviews.php
define('BOX_HEADING_REVIEWS', '商品评论');
define('BOX_REVIEWS_WRITE_REVIEW', '请写下您对这个商品的评论！');
define('BOX_REVIEWS_NO_REVIEWS', '目前没有任何商品??');
define('BOX_REVIEWS_TEXT_OF_5_STARS', '我给这个商品 %s 颗星星');

// shopping_cart box text in includes/boxes/shopping_cart.php
define('BOX_HEADING_SHOPPING_CART', '购物车');
define('BOX_SHOPPING_CART_EMPTY', '空的...');

// order_history box text in includes/boxes/order_history.php
define('BOX_HEADING_CUSTOMER_ORDERS', '购物纪录');

// best_sellers box text in includes/boxes/best_sellers.php
define('BOX_HEADING_BESTSELLERS', '畅销商品');
define('BOX_HEADING_BESTSELLERS_IN', '畅销商品在<br>&nbsp;&nbsp;');

// notifications box text in includes/boxes/products_notifications.php
define('BOX_HEADING_NOTIFICATIONS', '商品通知状忒');
define('BOX_NOTIFICATIONS_NOTIFY', '<b>%s</b><br>更新时通知我');
define('BOX_NOTIFICATIONS_NOTIFY_REMOVE', '<b>%s</b><br>更新时不必通知我');

// manufacturer box text
define('BOX_HEADING_MANUFACTURER_INFO', '厂商的相关资讯');
define('BOX_MANUFACTURER_INFO_HOMEPAGE', '去看看 %s 的首?');
define('BOX_MANUFACTURER_INFO_OTHER_PRODUCTS', '厂商的其他商品');

// languages box text in includes/boxes/languages.php
define('BOX_HEADING_LANGUAGES', '语系');

// currencies box text in includes/boxes/currencies.php
define('BOX_HEADING_CURRENCIES', '货币');

// information box text in includes/boxes/information.php
define('BOX_HEADING_INFORMATION', '服务台');
define('BOX_INFORMATION_PRIVACY', '隐私权保护声明');
define('BOX_INFORMATION_CONDITIONS', '会员益及须知');
define('BOX_INFORMATION_SHIPPING', '退换货事项');
define('BOX_INFORMATION_CONTACT', '联络我们');

// tell a friend box text in includes/boxes/tell_a_friend.php
define('BOX_HEADING_TELL_A_FRIEND', '推荐给亲友');
define('BOX_TELL_A_FRIEND_TEXT', '推荐这个商品给亲友');

// checkout procedure text
//define('CHECKOUT_BAR_CART_CONTENTS', '?物??容');
//define('CHECKOUT_BAR_DELIVERY_ADDRESS', '出?地址');
//define('CHECKOUT_BAR_PAYMENT_METHOD', '付款方式');
define('CHECKOUT_BAR_DELIVERY', '出货资讯');
define('CHECKOUT_BAR_PAYMENT', '付款资讯');
define('CHECKOUT_BAR_CONFIRMATION', '确认');
define('CHECKOUT_BAR_FINISHED', '完成');

// pull down default text
define('PULL_DOWN_DEFAULT', '请选择');
define('TYPE_BELOW', '于下列输入');

// javascript messages
define('JS_ERROR', '别急！别急！\n您的资料还没填完喔！\n看看您漏掉哪些\n\n');

define('JS_REVIEW_TEXT', '* 您的评论最少要' . (REVIEW_TEXT_MIN_LENGTH/2) . '个字\n\n');
define('JS_REVIEW_RATING', '* 请给这个商品一个评等\n\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* 请选一个付款方式\n');

define('JS_ERROR_SUBMITTED', '这个表单已经送出，请按 OK 后等待处理');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', '您必须选一个付款方式.');

define('CATEGORY_COMPANY', '公司资料');
define('CATEGORY_PERSONAL', '个人资料');
define('CATEGORY_ADDRESS', '地址');
define('CATEGORY_CONTACT', '通讯');
define('CATEGORY_OPTIONS', '选项');
define('CATEGORY_PASSWORD', '密码');

define('ENTRY_COMPANY', '公司名称：');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', '性别：');
define('ENTRY_GENDER_ERROR', '请选择性别');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', '中文姓名：');
define('ENTRY_FIRST_NAME_ERROR', '中文姓名不得少于 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' ?字');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', '英文姓名：');
define('ENTRY_LAST_NAME_ERROR', '英文姓名不得少于 ' . ENTRY_LAST_NAME_MIN_LENGTH . ' 个字');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', '生日：');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<small><font color="#FF0000">(例：05/21/1970)</font></small>');
define('ENTRY_DATE_OF_BIRTH_TEXT', '&nbsp;<small>(例：05/21/1970) <font color="#AABBDD">必填?位</font></small>');
define('ENTRY_EMAIL_ADDRESS', '电子邮件：');
define('ENTRY_EMAIL_ADDRESS_ERROR', '电子邮件不得少于 ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' ?字');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '电子邮件件地址格式错误！');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '这个电子邮件已经注册过！请确认或换一个电子邮件');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', '街道门牌号码：');
define('ENTRY_STREET_ADDRESS_ERROR', '街道门牌号码不得少于 ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' 个字');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', '村里邻:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', '邮政区号:');
define('ENTRY_POST_CODE_ERROR', '邮政区号不得少于 ' . ENTRY_POSTCODE_MIN_LENGTH . ' 个字');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', '乡/村镇区:');
define('ENTRY_CITY_ERROR', '乡/村镇区不得少于 ' . ENTRY_CITY_MIN_LENGTH . ' ?字');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', '县市:');
define('ENTRY_STATE_ERROR', '县市最少必须 ' . ENTRY_STATE_MIN_LENGTH . '?字');
define('ENTRY_STATE_ERROR_SELECT', '请从下拉式选单中选取县市');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', '国家：');
define('ENTRY_COUNTRY_ERROR', '请从下拉式选单中选取国别');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', '电话号码:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '电话号码不得少于 ' . ENTRY_TELEPHONE_MIN_LENGTH . ' ?字');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', '手机号码：');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', '电子报：');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', '-订阅-');
define('ENTRY_NEWSLETTER_NO', '取消');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', '密码：');
define('ENTRY_PASSWORD_ERROR', '密码不得少于' . ENTRY_PASSWORD_MIN_LENGTH . ' 个字');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', '密码不符');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', '再输入一次密码：');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', '目前密码：');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', '密码不得少于 ' . ENTRY_PASSWORD_MIN_LENGTH . ' 个字');
define('ENTRY_PASSWORD_NEW', '新密码:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', '新密码不得少于' . ENTRY_PASSWORD_MIN_LENGTH . ' 个字');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', '密码不符');
define('PASSWORD_HIDDEN', '--隐藏--');
define('FORM_REQUIRED_INFORMATION', '* 表示该栏位必须填写');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', '总页数：');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '显示 <b>%d</b> 到 <b>%d</b> (共<b>%d</b>个商品)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '显示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>笔订单)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '显示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>个评论 )');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', '显示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>个新商品)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '显示 <b>%d</b> 到 第 <b>%d</b> (共 <b>%d</b> 项特价)');

define('PREVNEXT_TITLE_FIRST_PAGE', '第一页');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', '前一页');
define('PREVNEXT_TITLE_NEXT_PAGE', '下一页');
define('PREVNEXT_TITLE_LAST_PAGE', '最后一页');
define('PREVNEXT_TITLE_PAGE_NO', '第%d页');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Previous Set of %d Pages');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Next Set of %d Pages');
define('PREVNEXT_BUTTON_FIRST', '<<第一页');
define('PREVNEXT_BUTTON_PREV', '[<<&nbsp;前一页]');
define('PREVNEXT_BUTTON_NEXT', '[下一页&nbsp;>>]');
define('PREVNEXT_BUTTON_LAST', '最后页>>');

define('IMAGE_BUTTON_ADD_ADDRESS', '新增地址');
define('IMAGE_BUTTON_ADDRESS_BOOK', '通讯录');
define('IMAGE_BUTTON_BACK', '回上页');
define('IMAGE_BUTTON_BUY_NOW', '马上买');
define('IMAGE_BUTTON_CHANGE_ADDRESS', '变更地址');
define('IMAGE_BUTTON_CHECKOUT', '结帐');
define('IMAGE_BUTTON_CONFIRM_ORDER', '确认订单');
define('IMAGE_BUTTON_CONTINUE', '继续');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', '继续购物');
define('IMAGE_BUTTON_DELETE', '删除');
define('IMAGE_BUTTON_EDIT_ACCOUNT', '编辑帐号');
define('IMAGE_BUTTON_HISTORY', '订单记录');
define('IMAGE_BUTTON_LOGIN', '登入');
define('IMAGE_BUTTON_IN_CART', '放到购物车');
define('IMAGE_BUTTON_NOTIFICATIONS', '通知');
define('IMAGE_BUTTON_QUICK_FIND', '快速寻找');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', '移除商品通知');
define('IMAGE_BUTTON_REVIEWS', '评价');
define('IMAGE_BUTTON_SEARCH', '搜寻');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', '出货选项');
define('IMAGE_BUTTON_TELL_A_FRIEND', '推荐给亲友');
define('IMAGE_BUTTON_UPDATE', '更新');
define('IMAGE_BUTTON_UPDATE_CART', '更新购物车');
define('IMAGE_BUTTON_WRITE_REVIEW', '写写商品讦论');

define('SMALL_IMAGE_BUTTON_DELETE', '删除');
define('SMALL_IMAGE_BUTTON_EDIT', '编辑');
define('SMALL_IMAGE_BUTTON_VIEW', '检视');

define('ICON_ARROW_RIGHT', '更多');
define('ICON_CART', '放到到购物车');
define('ICON_ERROR', '错误');
define('ICON_SUCCESS', '完成');
define('ICON_WARNING', '注意');

define('TEXT_GREETING_PERSONAL', '<span class="greetUser">%s</span> 您好，欢迎光临！ 想看看有什么<a href="%s"><u>新进商品</u></a>？');
define('TEXT_GREETING_PERSONAL_RELOGON', '如果您不是 %s, 请用自己的帐号<a href="%s"><u>登入</u></a>');
define('TEXT_GREETING_GUEST', '<span class="greetUser">访客</span>，欢迎光临，如果您已经是会员请直接<a href="%s"><u>登入</u></a>？ 或是<a href="%s"><u>注册为会员</u></a>？');

define('TEXT_SORT_PRODUCTS', '商品排序方式：');
define('TEXT_DESCENDINGLY', '递减，');
define('TEXT_ASCENDINGLY', '递增，');
define('TEXT_BY', '排序键：');

define('TEXT_REVIEW_BY', '%s 所评论写道：');
define('TEXT_REVIEW_WORD_COUNT', '%s   字');
define('TEXT_REVIEW_RATING', '讦等: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', '评论日期： %s');
define('TEXT_NO_REVIEWS', '目前没有任何商品??.');

define('TEXT_NO_NEW_PRODUCTS', '目前没有新进商品.');

define('TEXT_UNKNOWN_TAX_RATE', '不明的税率');

define('TEXT_REQUIRED', '<span class="errorText">必填</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><b><small>TEP ERROR:</small> 无法由指定的 SMTP 主机传送邮件，请检查 php.ini 设定</b></font>');
define('WARNING_INSTALL_DIRECTORY_EXISTS', '警告： 安装目录仍然存在： ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install. 基于安全的理由，请将这个目录删除');
define('WARNING_CONFIG_FILE_WRITEABLE', '警告： 设定档允许被写入： ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php. 这将具有潜在的系统安全风险 - 请将档案设定为正确的使用权限');
define('WARNING_SESSION_DIRECTORY_NON_EXISTENT', '警告： sessions 资料夹不存在： ' . tep_session_save_path() . '. 在这个目录未建立之前 Sessions 无法正常运作');
define('WARNING_SESSION_DIRECTORY_NOT_WRITEABLE', '警告： 无法写入sessions 资料夹： ' . tep_session_save_path() . '. 在使用者?限未正确?定之前 Sessions ??法正常?作');
define('WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT', '警告： 下载的商品目录不存在： ' . DIR_FS_DOWNLOAD . '. 在这个目录未建立之前，无法下载商品');
define('WARNING_SESSION_AUTO_START', '警告： session.auto_start 已启动 - 请到 php.ini 内关闭这个功能，并重新启网页主机');
define('TEXT_CCVAL_ERROR_INVALID_DATE', '输入的信用卡到期日无效<br>请检查日期再试');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', '信用卡卡号无效<br>请检查后再试');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', '您输入的前四码是： %s<br>如果正确，我们目前尚无法接受此类信用卡<br>如果错误请重?');
/*
  The following copyright announcement can only be
  appropriately modified or removed if the layout of
  the site theme has been modified to distinguish
  itself from the default osCommerce-copyrighted
  theme.

  For more information please read the following
  Frequently Asked Questions entry on the osCommerce
  support site:

  http://www.oscommerce.com/community.php/faq,26/q,50

  Please leave this comment intact together with the
  following copyright announcement.
*/


define('FOOTER_TEXT_BODY', '版权所有 &copy; 2003 <a href="http://www.oscommerce.com">osCommerce</a> : <a href="mailto:hpdl@oscommerce.com">Harald Ponce de Leon</a><br>Powered by <a href="http://www.oscommerce.com">osCommerce</a><br><br>UTF-8简体中文体系档由<a href="http://www.kmd.com.tw"><font color="#FF6633">KMD</font></a>制作');


define('FREE_TEXT', '<img src="' . DIR_WS_IMAGES . 'table_background_payment.gif">免费</img>');

define('CALL_TEXT', '<font color=red>价格请来电洽询</font>');
define('CALL_LINK_ON','1');
define('CALL_LINK_TEXT','按这里与我们联络');
define('CALL_LINK_OFF_TEXT','<font color=blue>洽询电话请拨: xxxx-xxx-xxx</font>');
define('CALL_INCART_LINK', '<B><A HREF="' . DIR_WS_CATALOG . 'contact_us.php">' . CALL_LINK_TEXT . '</A></B> &nbsp;&nbsp; ');

define('SOON_TEXT', '<font color=red>即将上市...</font>');
define('SOON_LINK_ON','0');
define('SOON_LINK_TEXT','按这里与我们联络');
define('SOON_LINK_OFF_TEXT','<font color=blue>洽询电话请拨: xxxx-xxx-xxx</font>');
define('SOON_INCART_LINK', '<B><A HREF="' . DIR_WS_CATALOG . 'contact_us.php">' . SOON_LINK_TEXT . '</A></B> &nbsp;&nbsp; ');

require(DIR_WS_LANGUAGES . $language . '/' . 'banner_manager.php');

?>