<?php
/*
  $Id: install_4.php,v 1.1.1.1 2003/12/19 12:58:28 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
  
  Traditional Chinese language pack(UTF-8 Encode) for osCommerce 2.2 ms2 
  Support Site: http://osc.kmd.com.tw
  Author(s): Nickle Cheng (nickle@mail.kmd.com.tw)
  Released under the GNU General Public License ,too!!
*/

  $cookie_path = substr(dirname($_SERVER['SCRIPT_NAME']), 0, -7);

  $www_location = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['SCRIPT_NAME'];
  $www_location = substr($www_location, 0, strpos($www_location, 'install'));

  $script_filename = $_SERVER['PATH_TRANSLATED'];
  if (empty($script_filename)) {
    $script_filename = $_SERVER['SCRIPT_FILENAME'];
  }

  $script_filename = str_replace('\\', '/', $script_filename);
  $script_filename = str_replace('//', '/', $script_filename);

  $dir_fs_www_root_array = explode('/', dirname($script_filename));
  $dir_fs_www_root = array();
  for ($i=0, $n=sizeof($dir_fs_www_root_array)-1; $i<$n; $i++) {
    $dir_fs_www_root[] = $dir_fs_www_root_array[$i];
  }
  $dir_fs_www_root = implode('/', $dir_fs_www_root) . '/';
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<p class="pageTitle">第一次安裝</p>

<p><b>osCommerce 設定</b></p>

<form name="install" action="install.php?step=5" method="post">

<p><b>請輸入網頁主機資料：</b></p>

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">網頁位址：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('HTTP_WWW_ADDRESS', $www_location); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbWWW');"><br>
      <div id="dbWWWSD">線上商店在網頁的實際路徑</div>
      <div id="dbWWW" class="longDescription">線上商店的網頁位址，如 <i>http://www.my-server.com/catalog/</i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">網頁根目錄：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DIR_FS_DOCUMENT_ROOT', $dir_fs_www_root); ?>
      <img src="images/layout/help_icon.gif"  onClick="toggleBox('dbRoot');"><br>
      <div id="dbRootSD">線上商店的根目錄</div>
      <div id="dbRoot" class="longDescription">osCommerce 安裝在主機的目錄，如 <i>/home/myname/public_html/osCommerce/</i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">HTTP Cookie 網域：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('HTTP_COOKIE_DOMAIN', $_SERVER['HTTP_HOST']); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbCookieD');"><br>
      <div id="dbCookieDSD">儲存cookies的網域範圍</div>
      <div id="dbCookieD" class="longDescription">完整或最上層網域以儲存cookies，如 <i>.my-server.com</i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">HTTP Cookie 路徑：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('HTTP_COOKIE_PATH', $cookie_path); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbCookieP');"><br>
      <div id="dbCookiePSD">儲存cookies的路徑</div>
      <div id="dbCookieP" class="longDescription">限制cookie的網址範圍，如 <i>/catalog/</i></div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">啟動 SSL 連線：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_checkbox_field('ENABLE_SSL', 'true'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbSSL');"><br>
      <div id="dbSSLSD"></div>
      <div id="dbSSL" class="longDescription">啟動加密 SSL/HTTPS 連線 (網頁主機必須已經安裝 SSL 且正確啟動)</div>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="取消"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="繼續"></td>
  </tr>
</table>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y')) {
      if (is_array($value)) {
        for ($i=0; $i<sizeof($value); $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }

  echo osc_draw_hidden_field('install[]', 'configure');
?>

</form>
