<?php
/*
  $Id: install_6.php,v 1.1.1.1 2003/12/19 12:58:29 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
  
  Traditional Chinese language pack(UTF-8 Encode) for osCommerce 2.2 ms2 
  Support Site: http://osc.kmd.com.tw
  Author(s): Nickle Cheng (nickle@mail.kmd.com.tw)
  Released under the GNU General Public License ,too!!
*/
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<p class="pageTitle">第一次安裝</p>

<p><b>osCommerce 設定</b></p>

<form name="install" action="install.php?step=7" method="post">

<table width="95%" border="0" cellpadding="2" class="formPage">
  <tr>
    <td width="30%" valign="top">資料庫主機：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbHost');"><br>
      <div id="dbHostSD">資料庫的主機名稱或IP位址(localhost)</div>
      <div id="dbHost" class="longDescription">資料庫主機格式， 可以是主機名稱，如 db1.myserver.com, 或是IP位址，如192.168.0.1，一般使用 localhost 即可</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">使用者名稱：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_SERVER_USERNAME'); ?>
      <img src="images/layout/help_icon.gif"  onClick="toggleBox('dbUser');"><br>
      <div id="dbUserSD">資料庫名稱</div>
      <div id="dbUser" class="longDescription">連接資料庫主機的使用者名稱，例如使用者為 'mysql_10'.<br><br>注意： 在這裡安裝時，這個使用者<b>必須</>有新增(Create)及刪除(Drop)資料表的權限</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">密碼：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_password_field('DB_SERVER_PASSWORD'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbPass');"><br>
      <div id="dbPassSD">Database password</div>
      <div id="dbPass" class="longDescription">資料庫使用者帳號的密碼，通常與使用者名稱為一組</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">資料庫名稱：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_input_field('DB_DATABASE'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbName');"><br>
      <div id="dbNameSD">資料庫名稱</div>
      <div id="dbName" class="longDescription">儲存資料的資料庫名稱，如 'osCommerce'.</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">保持連接：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_checkbox_field('USE_PCONNECT', 'true'); ?>
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbConn');"><br>
      <div id="dbConnSD"></div>
      <div id="dbConn" class="longDescription">啟動保持連接<br><br>注意：租用或共用主機最好關閉這個選項</div>
    </td>
  </tr>
  <tr>
    <td width="30%" valign="top">Session 儲存於：</td>
    <td width="70%" class="smallDesc">
      <?php echo osc_draw_radio_field('STORE_SESSIONS', 'files', (isset($HTTP_POST_VARS['STORE_SESSIONS']) ? '' : true)); ?>&nbsp;檔案&nbsp;&nbsp;<?php echo osc_draw_radio_field('STORE_SESSIONS', 'mysql'); ?>&nbsp;資料庫&nbsp;&nbsp;
      <img src="images/layout/help_icon.gif" onClick="toggleBox('dbSess');"><br>
      <div id="dbSessSD"></div>
      <div id="dbSess" class="longDescription">將使用者的session資料儲存在主機或資料庫內<br><br>注意： 由於安全的考量，租用或公用主機最好使用'資料庫'方式儲存</td></div>
    </td>
  </tr>
</table>

<p>&nbsp;</p>

<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><a href="index.php"><img src="images/button_cancel.gif" border="0" alt="取消"></a></td>
    <td align="center"><input type="image" src="images/button_continue.gif" border="0" alt="繼續"></td>
  </tr>
</table>

<?php
  reset($HTTP_POST_VARS);
  while (list($key, $value) = each($HTTP_POST_VARS)) {
    if (($key != 'x') && ($key != 'y') && ($key != 'DB_SERVER') && ($key != 'DB_SERVER_USERNAME') && ($key != 'DB_SERVER_PASSWORD') && ($key != 'DB_DATABASE') && ($key != 'USE_PCONNECT') && ($key != 'STORE_SESSIONS')) {
      if (is_array($value)) {
        for ($i=0; $i<sizeof($value); $i++) {
          echo osc_draw_hidden_field($key . '[]', $value[$i]);
        }
      } else {
        echo osc_draw_hidden_field($key, $value);
      }
    }
  }
?>

</form>
