<?php
/*
  $Id: tchinese.php,v 1.5 2003/09/14 08:40:47 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

  Traditional Chinese language pack(Big5 code) for osCommerce 2.2
  Community: http://forum.kmd.com.tw 
  Author(s): Nickle Cheng (nickle@mail.kmd.com.tw)
  Released under the GNU General Public License ,too!!

*/
//Admin begin
// header text in includes/header.php
define('HEADER_TITLE_ACCOUNT', '我的??');
define('HEADER_TITLE_LOGOFF', '注?');

// Admin Account
define('BOX_HEADING_MY_ACCOUNT', '我的??');

// configuration box text in includes/boxes/administrator.php
define('BOX_HEADING_ADMINISTRATOR', '管理?系?');
define('BOX_ADMINISTRATOR_MEMBERS', '管理?群?');
define('BOX_ADMINISTRATOR_MEMBER', '管理?');
define('BOX_ADMINISTRATOR_BOXES', '?定?入管理?案');

// images
define('IMAGE_FILE_PERMISSION', '?定?案存取?限');
define('IMAGE_GROUPS', '管理?群?');
define('IMAGE_INSERT_FILE', '存入?案');
define('IMAGE_MEMBERS', '管理?列表');
define('IMAGE_NEW_GROUP', '新增群?');
define('IMAGE_NEW_MEMBER', '新增管理?');
define('IMAGE_NEXT', '下一步');

// constants for use in tep_prev_next_display function
define('TEXT_DISPLAY_NUMBER_OF_FILENAMES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ??案)');
define('TEXT_DISPLAY_NUMBER_OF_MEMBERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 位??)');
//Admin end


// look in your $PATH_LOCALE/locale directory for available locales..
// on RedHat6.0 I used 'en_US'
// on FreeBSD 4.0 I use 'en_US.ISO_8859-1'
// this may not work under win32 environments..
setlocale(LC_TIME, 'tchinese');
define('DATE_FORMAT_SHORT', '%Y/%m/%d');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%Y年%B月%d日%A'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('PHP_DATE_TIME_FORMAT', 'Y/m/d H:i:s'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// Global entries for the <html> tag
define('HTML_PARAMS','dir="ltr" lang="cn"');

// charset for web pages and emails
define('CHARSET', 'UTF-8');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_TOP', '系?管理');
define('HEADER_TITLE_SUPPORT_SITE', '支持网站');
define('HEADER_TITLE_ONLINE_CATALOG', '?上目?');
define('HEADER_TITLE_ADMINISTRATION', '系?管理');
define('HEADER_TITLE_LOGOFF', '注?');


// box text in includes/boxes/administrators.php
define('BOX_HEADING_ADMINISTRATORS', '系?管理?');
define('BOX_ADMINISTRATORS_SETUP', '?定');

// text for gender
define('MALE', '男');
define('FEMALE', '女');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// configuration box text in includes/boxes/configuration.php
define('BOX_HEADING_CONFIGURATION', '系??定');
define('BOX_CONFIGURATION_MYSTORE', '我的商店');
define('BOX_CONFIGURATION_LOGGING', '??');
define('BOX_CONFIGURATION_CACHE', '快取');

// modules box text in includes/boxes/modules.php
define('BOX_HEADING_MODULES', '外挂模?');
define('BOX_MODULES_PAYMENT', '付款方式');
define('BOX_MODULES_SHIPPING', '出?方式');
define('BOX_MODULES_ORDER_TOTAL', '????');

// categories box text in includes/boxes/catalog.php
define('BOX_HEADING_CATALOG', '商品目?');
define('BOX_CATALOG_CATEGORIES_PRODUCTS', '商品目?');
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES', '商品???性');
define('BOX_CATALOG_MANUFACTURERS', '制造厂商');
define('BOX_CATALOG_REVIEWS', '商品??');
define('BOX_CATALOG_SPECIALS', '特价商品');
define('BOX_CATALOG_PRODUCTS_EXPECTED', '商品?告');

// customers box text in includes/boxes/customers.php
define('BOX_HEADING_CUSTOMERS', '客?/??');
define('BOX_CUSTOMERS_CUSTOMERS', '客?');
define('BOX_CUSTOMERS_ORDERS', '??');

// taxes box text in includes/boxes/taxes.php
define('BOX_HEADING_LOCATION_AND_TAXES', '??/地?/? ?定');
define('BOX_TAXES_COUNTRIES', '??');
define('BOX_TAXES_ZONES', '地?');
define('BOX_TAXES_GEO_ZONES', '??');
define('BOX_TAXES_TAX_CLASSES', '??');
define('BOX_TAXES_TAX_RATES', '?率');

// reports box text in includes/boxes/reports.php
define('BOX_HEADING_REPORTS', '各??表');
define('BOX_REPORTS_PRODUCTS_VIEWED', '已被??商品');
define('BOX_REPORTS_PRODUCTS_PURCHASED', '已?商品');
define('BOX_REPORTS_ORDERS_TOTAL', '客??物排行榜');

// tools text in includes/boxes/tools.php
define('BOX_HEADING_TOOLS', '系?工具');
define('BOX_TOOLS_BACKUP', '?据??分');
define('BOX_TOOLS_BANNER_MANAGER', '?告?管');
define('BOX_TOOLS_CACHE', '快取控制');
define('BOX_TOOLS_DEFINE_LANGUAGE', '?系定?');
define('BOX_TOOLS_FILE_MANAGER', '?案?管');
define('BOX_TOOLS_MAIL', '寄?子?件');
define('BOX_TOOLS_NEWSLETTER_MANAGER', '?子??管');
define('BOX_TOOLS_SERVER_INFO', '主机信息');
define('BOX_TOOLS_WHOS_ONLINE', '?上客?');
define('BOX_HEADING_ADMINISTRATORS', '系?管理者');
define('BOX_ADMINISTRATORS_SETUP', '管理者?定');

// localizaion box text in includes/boxes/localization.php
define('BOX_HEADING_LOCALIZATION', '本地化?定');
define('BOX_LOCALIZATION_CURRENCIES', '???定');
define('BOX_LOCALIZATION_LANGUAGES', '?系?定');
define('BOX_LOCALIZATION_ORDERS_STATUS', '????');

// javascript messages
define('JS_ERROR', 'Errors have occured during the process of your form!\nPlease make the following corrections:\n\n');

define('JS_OPTIONS_VALUE_PRICE', '* The new product atribute needs a price value\n');
define('JS_OPTIONS_VALUE_PRICE_PREFIX', '* The new product atribute needs a price prefix\n');

define('JS_PRODUCTS_NAME', '* The new product needs a name\n');
define('JS_PRODUCTS_DESCRIPTION', '* The new product needs a description\n');
define('JS_PRODUCTS_PRICE', '* The new product needs a price value\n');
define('JS_PRODUCTS_WEIGHT', '* The new product needs a weight value\n');
define('JS_PRODUCTS_QUANTITY', '* The new product needs a quantity value\n');
define('JS_PRODUCTS_MODEL', '* The new product needs a model value\n');
define('JS_PRODUCTS_IMAGE', '* The new product needs an image value\n');

define('JS_SPECIALS_PRODUCTS_PRICE', '* A new price for this product needs to be set\n');

define('JS_GENDER', '* The \'Gender\' value must be chosen.\n');
define('JS_FIRST_NAME', '* The \'First Name\' entry must have at least ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_LAST_NAME', '* The \'Last Name\' entry must have at least ' . ENTRY_LAST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_DOB', '* The \'Date of Birth\' entry must be in the format: xx/xx/xxxx (month/date/year).\n');
define('JS_EMAIL_ADDRESS', '* The \'E-Mail Address\' entry must have at least ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_ADDRESS', '* The \'Street Address\' entry must have at least ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_POST_CODE', '* The \'Post Code\' entry must have at least ' . ENTRY_POSTCODE_MIN_LENGTH . ' characters.\n');
define('JS_CITY', '* The \'City\' entry must have at least ' . ENTRY_CITY_MIN_LENGTH . ' characters.\n');
define('JS_STATE', '* The \'State\' entry is must be selected.\n');
define('JS_STATE_SELECT', '-- Select Above --');
define('JS_ZONE', '* The \'State\' entry must be selected from the list for this country.');
define('JS_COUNTRY', '* The \'Country\' value must be chosen.\n');
define('JS_TELEPHONE', '* The \'Telephone Number\' entry must have at least ' . ENTRY_TELEPHONE_MIN_LENGTH . ' characters.\n');
define('JS_PASSWORD', '* The \'Password\' amd \'Confirmation\' entries must match amd have at least ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.\n');

define('JS_ORDER_DOES_NOT_EXIST', 'Order Number %s does not exist!');

define('CATEGORY_PERSONAL', '?人?料');
define('CATEGORY_ADDRESS', '通?地址');
define('CATEGORY_CONTACT', '??/?真');
define('CATEGORY_COMPANY', '公司?料');
define('CATEGORY_PASSWORD', '密?');
define('CATEGORY_OPTIONS', '??');
define('ENTRY_GENDER', '性?:');
define('ENTRY_GENDER_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_FIRST_NAME', '中文名?:');
define('ENTRY_FIRST_NAME_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' ?字</span>');
define('ENTRY_LAST_NAME', '英文名?:');
define('ENTRY_LAST_NAME_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_LAST_NAME_MIN_LENGTH . ' 几?字</span>');
define('ENTRY_DATE_OF_BIRTH', '生日:');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<span class="errorText">(例如 05/21/1970)</span>');
define('ENTRY_EMAIL_ADDRESS', '?子?件:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' ?字</span>');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '&nbsp;<span class="errorText">???子?件?效！</span>');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '&nbsp;<span class="errorText">???子?件已?存在！</span>');
define('ENTRY_COMPANY', '公司名?:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_STREET_ADDRESS', '街道?牌??:');
define('ENTRY_STREET_ADDRESS_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' ?字</span>');
define('ENTRY_SUBURB', '村里?:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_POST_CODE', '?政??:');
define('ENTRY_POST_CODE_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_POSTCODE_MIN_LENGTH . ' ?字</span>');
define('ENTRY_CITY', '???:');
define('ENTRY_CITY_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_CITY_MIN_LENGTH . ' ?字</span>');
define('ENTRY_STATE', '?市:');
define('ENTRY_STATE_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_COUNTRY', '?家:');
define('ENTRY_COUNTRY_ERROR', '');
define('ENTRY_TELEPHONE_NUMBER', '????:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '&nbsp;<span class="errorText">少于 ' . ENTRY_TELEPHONE_MIN_LENGTH . ' ?字</span>');
define('ENTRY_FAX_NUMBER', '?真:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_NEWSLETTER', '?子?:');
define('ENTRY_NEWSLETTER_YES', '??子?');
define('ENTRY_NEWSLETTER_NO', '取消');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', '密?:');
define('ENTRY_PASSWORD_CONFIRMATION', '再?入一次密?:');
define('PASSWORD_HIDDEN', '--?藏--');

// images
define('IMAGE_ANI_SEND_EMAIL', '寄?子?件中...');
define('IMAGE_BACK', '回上?');
define('IMAGE_BACKUP', '?份');
define('IMAGE_CANCEL', '取消');
define('IMAGE_CONFIRM', '确?');
define('IMAGE_COPY', '复制');
define('IMAGE_COPY_TO', '复制到');
define('IMAGE_DEFINE', '定?');
define('IMAGE_DELETE', '?除');
define('IMAGE_EDIT', '??');
define('IMAGE_EMAIL', 'Email ?寄');
define('IMAGE_FILE_MANAGER', '?案?管');
define('IMAGE_ICON_STATUS_GREEN', '已激活');
define('IMAGE_ICON_STATUS_GREEN_LIGHT', '按我激活');
define('IMAGE_ICON_STATUS_RED', '未激活');
define('IMAGE_ICON_STATUS_RED_LIGHT', '按我停止');
define('IMAGE_ICON_INFO', '信息');
define('IMAGE_INSERT', '插入');
define('IMAGE_LOCK', '?定');
define('IMAGE_MODULE_INSTALL', '安?模?');
define('IMAGE_MODULE_REMOVE', '移除模?');
define('IMAGE_MOVE', '移?');
define('IMAGE_NEW_BANNER', '新增?告');
define('IMAGE_NEW_CATEGORY', '新增商品分?');
define('IMAGE_NEW_COUNTRY', '新增??');
define('IMAGE_NEW_CURRENCY', '新增??');
define('IMAGE_NEW_FILE', '新增?案');
define('IMAGE_NEW_FOLDER', '新增?料?');
define('IMAGE_NEW_LANGUAGE', '新增?系');
define('IMAGE_NEW_NEWSLETTER', '新增?子?');
define('IMAGE_NEW_PRODUCT', '新增商品');
define('IMAGE_NEW_TAX_CLASS', '新增??');
define('IMAGE_NEW_TAX_RATE', '新增?率');
define('IMAGE_NEW_TAX_ZONE', '新增??');
define('IMAGE_NEW_ZONE', '新增地?');
define('IMAGE_ORDERS', '??');
define('IMAGE_ORDERS_INVOICE', '收据打印');
define('IMAGE_ORDERS_PACKINGSLIP', '分?打印');
define('IMAGE_PREVIEW', '??');
define('IMAGE_RESTORE', '回复?据?');
define('IMAGE_RESET', '重?');
define('IMAGE_SAVE', '?存');
define('IMAGE_SEARCH', '搜?');
define('IMAGE_SELECT', '??');
define('IMAGE_SEND', '寄出');
define('IMAGE_SEND_EMAIL', '寄 Email');
define('IMAGE_UNLOCK', '??');
define('IMAGE_UPDATE', '更新');
define('IMAGE_UPDATE_CURRENCIES', '更新?率');
define('IMAGE_UPLOAD', '上?');

define('ICON_CROSS', '否');
define('ICON_CURRENT_FOLDER', '目前?料?');
define('ICON_DELETE', '?除');
define('ICON_ERROR', '??');
define('ICON_FILE', '?案');
define('ICON_FILE_DOWNLOAD', '下?');
define('ICON_FOLDER', '?料?');
define('ICON_LOCKED', '?住');
define('ICON_PREVIOUS_LEVEL', '回上一?目?');
define('ICON_PREVIEW', '??');
define('ICON_STATISTICS', '???料');
define('ICON_SUCCESS', '完成');
define('ICON_TICK', '是');
define('ICON_UNLOCKED', '解?');
define('ICON_WARNING', '警告');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', ' %s / %d ?');
define('TEXT_DISPLAY_NUMBER_OF_BANNERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ??告)');
define('TEXT_DISPLAY_NUMBER_OF_COUNTRIES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ???)');
define('TEXT_DISPLAY_NUMBER_OF_CUSTOMERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?客?)');
define('TEXT_DISPLAY_NUMBER_OF_CURRENCIES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ???)');
define('TEXT_DISPLAY_NUMBER_OF_LANGUAGES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ??系)');
define('TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?制造厂商)');
define('TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 份?子?)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ???)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?????)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?商品)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?商品上市?告)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?商品??)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?特价商品)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ???)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_ZONES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ???)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_RATES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ??率)');
define('TEXT_DISPLAY_NUMBER_OF_ZONES', '?示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> ?地?)');

define('PREVNEXT_BUTTON_PREV', '&lt;&lt;');
define('PREVNEXT_BUTTON_NEXT', '&gt;&gt;');

define('TEXT_DEFAULT', '??');
define('TEXT_SET_DEFAULT', '?定???');
define('TEXT_FIELD_REQUIRED', '&nbsp;<span class="fieldRequired">* 必填</span>');

define('ERROR_NO_DEFAULT_CURRENCY_DEFINED', '??：?有??的??，?到\'系?工具/本地化?定/??\' ?定');

define('TEXT_CACHE_CATEGORIES', '???');
define('TEXT_CACHE_MANUFACTURERS', '厂商?');
define('TEXT_CACHE_ALSO_PURCHASED', '推荐商品模?');

define('TEXT_NONE', '--?--');
define('TEXT_TOP', '?端');

define('ERROR_DESTINATION_DOES_NOT_EXIST', '??: 目的地不存在');
define('ERROR_DESTINATION_NOT_WRITEABLE', '??: 目的地?法?入');
define('ERROR_FILE_NOT_SAVED', '??: 上??案?法?存');
define('ERROR_FILETYPE_NOT_ALLOWED', '??r: 不允??案上?');
define('SUCCESS_FILE_SAVED_SUCCESSFULLY', '完成: ?案上?完成');
define('WARNING_NO_FILE_UPLOADED', '警告: ?有?案上?');
define('WARNING_FILE_UPLOADS_DISABLED', '警告:  php.ini ?定?????案上?');

define('TEXT_CACHE_CATEGORIES', '商品分???');
define('TEXT_CACHE_MANUFACTURERS', '制造厂商??');
define('TEXT_CACHE_ALSO_PURCHASED', '建???商品模?');
define('TEXT_INFO_USER_NAME', '使用者名?：');
define('TEXT_INFO_PASSWORD', '密?：');
define('TEXT_LOGIN_ERROR', '??的使用者名?或密?');
define('TEXT_CACHE_CATEGORIES', 'Categories Box');

// polls box text in includes/boxes/polls.php
define('BOX_HEADING_POLLS', '票?活?');
define('BOX_POLLS_POLLS', '票?管理');
define('BOX_POLLS_CONFIG','票??定');

define('TEXT_NONE', '--none--');
define('TEXT_TOP', '目??端');

?>
